Configuración de instalación de PHP: error: No se puede encontrar php_pdo_driver.h

Así que ya instalé Apache2 y Mysql en Linux Mint (lo mismo que Ubuntu), ahora estoy tratando de instalar PHP en Apache pero recibo un mensaje de error muy extraño:

configure: error: Cannot find php_pdo_driver.h. 

Hice una búsqueda en Internet y descubrí que estos archivos no estaban incrustados en PHP, pero ahora están. Incluso lo revisé yo mismo en las carpetas fuente de PHP y encontré ese archivo específico. ¿Alguien puede decirme cuál es el problema y cómo resolverlo?

en realidad PDO está incluido en PHP core. Debe instalar los paquetes combinados de PHP y MySQL. Utilice sudo apt-get install php5-mysql

deberías verificar tu versión php, debes tener la versión php 5 para cargar PDO.